EVP_SEED_CBC(3)

NAME
EVP_seed_cbc, EVP_seed_cfb, EVP_seed_cfb128, EVP_seed_ecb, EVP_seed_ofb - EVP SEED cipher

SYNOPSIS
 #include <openssl/evp.h>

 const EVP_CIPHER *EVP_seed_cbc(void)
 const EVP_CIPHER *EVP_seed_cfb(void)
 const EVP_CIPHER *EVP_seed_cfb128(void)
 const EVP_CIPHER *EVP_seed_ecb(void)
 const EVP_CIPHER *EVP_seed_ofb(void)

DESCRIPTION
The SEED encryption algorithm for EVP.

All modes below use a key length of 128 bits and acts on blocks of 128-bits.

EVP_seed_cbc(), EVP_seed_cfb(), EVP_seed_cfb128(), EVP_seed_ecb(), EVP_seed_ofb()
    The SEED encryption algorithm in CBC, CFB, ECB and OFB modes respectively.

RETURN VALUES
These functions return an EVP_CIPHER structure that contains the implementation of the symmetric cipher. See EVP_CIPHER_meth_new(3) for details of the EVP_CIPHER structure.

SEE ALSO
evp(7), EVP_EncryptInit(3), EVP_CIPHER_meth_new(3)

COPYRIGHT
Copyright 2017-2018 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the OpenSSL license (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at <https://www.openssl.org/source/license.html>.